<div class="flex flex-col flex-auto min-w-0" style="background-color: #f8f8f8">
    <!-- Main -->
    <div class="container mx-auto flex justify-between">
        <div class="flex items-center cursor-pointer" [routerLink]="['/settings']">
            <mat-icon class="mt-6 mb-6" style="color: #0038ff">keyboard_arrow_left</mat-icon><span
                class="mt-6 mb-6 font-Semibold-20" style="color: #0038ff">Back</span>
        </div>
        <div>
            <mat-icon class="mt-6 mb-6 cursor-pointer" style="color: #0038ff">help_outline</mat-icon>
        </div>
    </div>

    <!-- CONTENT GOES HERE -->
    <form [formGroup]="addressForm">
        <div class="font-Semibold-40 font-141461 mb-7 text-center">Profile</div>



        <!-- Menu -->
        <div class="relative items-center justify-center mx-auto flex flex-col mb-10 flex-auto bg-card rounded-1xl shadow box-width"
            style="width: 491px !important;">
            <div class="flex flex-row flex-wrap sm:px-16 py-5 justify-center w-full">
                <div class="flex flex-col mx-3 mb-3 font-333 font-Medium-18 w-full">

                    <!-- Logo -->

                    <div class="relative items-center justify-center flex flex-col flex-auto pb-6 pr-3">
                        <div class="profilePicture">
                            <div class="editProfilePicture">
                                <img *ngIf="!profilePicture" src="assets/images/logo/User.svg" class="rounded-full" />
                                <img *ngIf="profilePicture" [src]="profilePicture" class="rounded-full" />
                            </div>
                            <div class="outer edit-icon items-center justify-center flex cursor-pointer"
                                [routerLink]="['/editProfilePic']">
                                <img src="assets/icons/editProfilePicture.svg" />
                            </div>
                        </div>
                        <p>{{ fullName }}</p>
                    </div>

                    <!-- USER INFORMATION -->
                    <div class="profile">
                        <p>
                            <mat-form-field class="w-full" appearance="outline">
                                <mat-label>Preferred Name</mat-label>
                                <input matInput placeholder="Name" disabled value="{{ fullName }}" />
                            </mat-form-field>
                        </p>
                        <p>
                            <mat-form-field class="w-full" appearance="outline">
                                <mat-label>Email Address</mat-label>
                                <input matInput placeholder="Email Address" disabled value="{{ email }}" name="email" />
                            </mat-form-field>
                        </p>
                        <p>
                            <mat-form-field class="w-full" appearance="outline">
                                <mat-label>Phone Number</mat-label>
                                <input matInput placeholder="Phone Number" disabled value="{{ phone_number }}"
                                    name="phoneNumber" />
                            </mat-form-field>
                        </p>
                    </div>

                    <!-- MAILING ADDRESS -->
                    <div>
                        <div class="borderDivider"></div>
                        <div class="my-5"><span>Mailing Address</span></div>
                        <div formGroupName="mailingAddress">
                            <p>
                                <mat-form-field class="w-full" appearance="outline">
                                    <mat-label>Address Line 1</mat-label>
                                    <input matInput placeholder="Address Line 1" formControlName="address1" />
                                </mat-form-field>
                            </p>
                            <p>
                                <mat-form-field class="w-full" appearance="outline">
                                    <mat-label>Address Line 2</mat-label>
                                    <input matInput placeholder="Address Line 2" formControlName="address2" />
                                </mat-form-field>
                            </p>
                            <div>
                                <mat-form-field class="w-full" appearance="outline">
                                    <mat-label>Postcode</mat-label>
                                    <input matInput placeholder="Postcode" type="text" name="Postcode"
                                        formControlName="postcode">
                                    <mat-hint style="color: red; font-size: 12px;" *ngIf="alertVisible">Invalid postcode</mat-hint>
                                </mat-form-field>
                            </div>
                            <div>
                                <mat-form-field appearance="outline" class="fuse-mat-button-large w-full sm-1">
                                    <mat-label>City</mat-label>
                                    <input matInput placeholder="City" type="text" value="{{townMailing}}" name="City"
                                        formControlName="town">
                                </mat-form-field>
                            </div>
                            <div>
                                <mat-form-field appearance="outline" class="fuse-mat-button-large w-full sm-1">
                                    <mat-select formControlName="state" value="{{stateCodeMailing}}"
                                        placeholder="State">
                                        <mat-option *ngFor="let item of stateOption"
                                            [value]="item.code">{{item.name}}</mat-option>
                                    </mat-select>
                                </mat-form-field>
                            </div>
                        </div>
                    </div>

                    <!-- DELIVERY ADDRESS -->
                    <div>
                        <div class="borderDivider"></div>
                        <div class="my-5"><span>Delivery Address</span></div>
                        <div formGroupName="deliveryAddress">
                            <p>
                                <mat-form-field class="w-full" appearance="outline">
                                    <mat-label>Address Line 1</mat-label>
                                    <input matInput placeholder="Address Line 1" formControlName="address1" />
                                </mat-form-field>
                            </p>
                            <p>
                                <mat-form-field class="w-full" appearance="outline">
                                    <mat-label>Address Line 2</mat-label>
                                    <input matInput placeholder="Address Line 2" formControlName="address2" />
                                </mat-form-field>
                            </p>
                            <div>
                                <mat-form-field class="w-full" appearance="outline">
                                    <mat-label>Postcode</mat-label>
                                    <input matInput placeholder="Postcode" type="text" name="Postcode"
                                        formControlName="postcode">
                                </mat-form-field>
                            </div>
                            <div>
                                <mat-form-field appearance="outline" class="fuse-mat-button-large w-full sm-1">
                                    <mat-label>City</mat-label>
                                    <input matInput placeholder="City" type="text" value="{{townDelivery}}" name="City"
                                        formControlName="town">
                                </mat-form-field>
                            </div>
                            <div>
                                <mat-form-field appearance="outline" class="fuse-mat-button-large w-full sm-1">
                                    <mat-select formControlName="state" value="{{stateCodeDelivery}}"
                                        placeholder="State">
                                        <mat-option *ngFor="let item of stateOption"
                                            [value]="item.code">{{item.name}}</mat-option>
                                    </mat-select>
                                </mat-form-field>
                            </div>
                        </div>
                    </div>

                    <fuse-alert class="mb-6" *ngIf="showAlert" [showIcon]="false" [type]="alert.type">
                        {{ alert.message}}
                    </fuse-alert>

                    <button type="submit" class="w-full font-Semibold-16 font-ffffff button-r5" (click)="onSubmit()">
                        Save
                    </button>
                </div>
            </div>
        </div>
    </form>

    <div></div>
</div>